Bug 728612 - unable to use 3TB WB harddisk connect via USB
Summary: unable to use 3TB WB harddisk connect via USB
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 18
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 757939 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 19:21 UTC by Joachim Metz
Modified: 2014-04-10 07:13 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-27 16:07:20 UTC


Attachments (Terms of Use)

Description Joachim Metz 2011-08-05 19:21:10 UTC
Description of problem:
A 3TB WB harddisk connected via keeps repeating the following errors:
Aug  5 20:25:59 hostname kernel: [  154.800595] sd 7:0:0:0: [sdf] Unhandled error code
Aug  5 20:25:59 hostname kernel: [  154.800601] sd 7:0:0:0: [sdf]  Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Aug  5 20:25:59 hostname kernel: [  154.800609] sd 7:0:0:0: [sdf] CDB: Read(10): 28 00 00 00 00 00 00 00 08 00
Aug  5 20:25:59 hostname kernel: [  154.800624] end_request: I/O error, dev sdf, sector 0
Aug  5 20:25:59 hostname kernel: [  154.800632] Buffer I/O error on device sdf, logical block 0
Aug  5 20:25:59 hostname kernel: [  154.904072] usb 1-8: reset high speed USB device number 6 using ehci_hcd
Aug  5 20:25:59 hostname kernel: [  155.122047] usb 1-8: reset high speed USB device number 6 using ehci_hcd
Aug  5 20:26:00 hostname kernel: [  155.340058] usb 1-8: reset high speed USB device number 6 using ehci_hcd
Aug  5 20:26:00 hostname kernel: [  155.558049] usb 1-8: reset high speed USB device number 6 using ehci_hcd
Aug  5 20:26:00 hostname kernel: [  155.776064] usb 1-8: reset high speed USB device number 6 using ehci_hcd
Aug  5 20:26:00 hostname kernel: [  155.994048] usb 1-8: reset high speed USB device number 6 using ehci_hcd

Initial detection of harddisk:
Aug  5 20:25:57 hostname kernel: [  152.317043] usb 1-8: new high speed USB device number 6 using ehci_hcd
Aug  5 20:25:57 hostname kernel: [  152.431967] usb 1-8: New USB device found, idVendor=152d, idProduct=2338
Aug  5 20:25:57 hostname kernel: [  152.431976] usb 1-8: New USB device strings: Mfr=1, Product=2, SerialNumber=5
Aug  5 20:25:57 hostname kernel: [  152.431982] usb 1-8: Product: USB to ATA/ATAPI bridge
Aug  5 20:25:57 hostname kernel: [  152.431987] usb 1-8: Manufacturer: JMicron
Aug  5 20:25:57 hostname kernel: [  152.431990] usb 1-8: SerialNumber: 0123456789AB
Aug  5 20:25:57 hostname kernel: [  152.435519] scsi7 : usb-storage 1-8:1.0
Aug  5 20:25:58 hostname kernel: [  153.477432] scsi 7:0:0:0: Direct-Access     WDC WD30 EZRX-00MMMB0          PQ: 0 ANSI: 5
Aug  5 20:25:58 hostname kernel: [  153.481741] sd 7:0:0:0: Attached scsi generic sg6 type 0

Version-Release number of selected component (if applicable):
Linux hostname 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul 29 18:46:53 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Tried it both on Fedora 13 and 15 (with latest updates)
Both on 64-bit versions of Linux

Steps to Reproduce:
1. Get a WD 3TB Caviar
2. Connect it via USB
  
Actual results:
Unable use drive

Expected results:
Able to use drive.
Tested it with Windows 7, drive can be used without a problem

Additional info:
sanitized hostname and serial number

Let me know if you need more info.

Comment 1 Havard 2011-09-06 20:35:11 UTC
I just connected this new drive now, and everything looks OK so far, however I've not tried to format yet.

Western Digital My Book Essential Edition, 3TB, USB 3.0/2.0




Sep  6 22:22:25 localhost kernel: [2152363.261301] usb 1-2.2.4.1: new high speed USB device number 8 using ehci_hcd
Sep  6 22:22:25 localhost kernel: [2152363.336127] usb 1-2.2.4.1: New USB device found, idVendor=1058, idProduct=1140
Sep  6 22:22:25 localhost kernel: [2152363.336133] usb 1-2.2.4.1: New USB device strings: Mfr=1, Product=2, SerialNumber=5
Sep  6 22:22:25 localhost kernel: [2152363.336136] usb 1-2.2.4.1: Product: My Book 1140
Sep  6 22:22:25 localhost kernel: [2152363.336138] usb 1-2.2.4.1: Manufacturer: Western Digital
Sep  6 22:22:25 localhost kernel: [2152363.336141] usb 1-2.2.4.1: SerialNumber: 
Sep  6 22:22:25 localhost kernel: [2152363.350647] scsi7 : usb-storage 1-2.2.4.1:1.0
Sep  6 22:22:25 localhost mtp-probe: checking bus 1, device 8: "/sys/devices/pci0000:00/0000:00:12.2/usb1/1-2/1-2.2/1-2.2.4/1-2.2.4.1"
Sep  6 22:22:25 localhost mtp-probe: bus: 1, device: 8 was not an MTP device
Sep  6 22:22:26 localhost kernel: [2152364.351704] scsi 7:0:0:0: Direct-Access     WD       My Book 1140     1003 PQ: 0 ANSI: 6
Sep  6 22:22:26 localhost kernel: [2152364.352236] scsi 7:0:0:1: Enclosure         WD       SES Device       1003 PQ: 0 ANSI: 6
Sep  6 22:22:26 localhost kernel: [2152364.355133] sd 7:0:0:0: Attached scsi generic sg8 type 0
Sep  6 22:22:26 localhost kernel: [2152364.355406] scsi 7:0:0:1: Attached scsi generic sg9 type 13
Sep  6 22:22:26 localhost kernel: [2152364.359951] sd 7:0:0:0: [sdg] 732558336 4096-byte logical blocks: (3.00 TB/2.72 TiB)
Sep  6 22:22:26 localhost kernel: [2152364.362076] sd 7:0:0:0: [sdg] Write Protect is off
Sep  6 22:22:26 localhost kernel: [2152364.362786] sd 7:0:0:0: [sdg] No Caching mode page present
Sep  6 22:22:26 localhost kernel: [2152364.362789] sd 7:0:0:0: [sdg] Assuming drive cache: write through
Sep  6 22:22:26 localhost kernel: [2152364.366797] sd 7:0:0:0: [sdg] 732558336 4096-byte logical blocks: (3.00 TB/2.72 TiB)
Sep  6 22:22:26 localhost kernel: [2152364.368283] sd 7:0:0:0: [sdg] No Caching mode page present
Sep  6 22:22:26 localhost kernel: [2152364.368289] sd 7:0:0:0: [sdg] Assuming drive cache: write through
Sep  6 22:22:26 localhost kernel: [2152364.375036]  sdg: sdg1
Sep  6 22:22:26 localhost kernel: [2152364.376139] sd 7:0:0:0: [sdg] 732558336 4096-byte logical blocks: (3.00 TB/2.72 TiB)
Sep  6 22:22:26 localhost kernel: [2152364.378030] sd 7:0:0:0: [sdg] No Caching mode page present
Sep  6 22:22:26 localhost kernel: [2152364.378035] sd 7:0:0:0: [sdg] Assuming drive cache: write through
Sep  6 22:22:26 localhost kernel: [2152364.378039] sd 7:0:0:0: [sdg] Attached SCSI disk
Sep  6 22:22:26 localhost ata_id[18919]: HDIO_GET_IDENTITY failed for '/dev/sdg'
Sep  6 22:22:27 localhost kernel: [2152365.489749] ses 7:0:0:1: Attached Enclosure device


Not sure if it's clear from these messages, but my system is an older one, with only USB2 ports. The drive is connected through an external USB hub.


*** fdisk -l /dev/sdg

Note: sector size is 4096 (not 512)

Disk /dev/sdg: 3000.6 GB, 3000558944256 bytes
1 heads, 1 sectors/track, 732558336 cylinders, total 732558336 sectors
Units = sectors of 1 * 4096 = 4096 bytes
Sector size (logical/physical): 4096 bytes / 4096 bytes
I/O size (minimum/optimal): 4096 bytes / 4096 bytes
Disk identifier: 0x000246c6

   Device Boot      Start         End      Blocks   Id  System
/dev/sdg1             256   732558335  2930232320    7  HPFS/NTFS/exFAT


System:
Fedora 15, 64 bit.
Linux localhost.localdomain 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul 29 18:46:53 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Comment 2 Alejandro Ochoa 2011-10-08 22:35:14 UTC
I have a WD My Book Essential 2TB USB 3/2, and
Fedora 15 64 bit,

and this is what I get:
My computer has two USB3 ports, and the HD is not detected when I use those, but it works perfectly fine when I use my USB2 ports.

So that narrows down the problem a bit?

Comment 3 Brian Lane 2011-11-30 00:49:56 UTC
*** Bug 757939 has been marked as a duplicate of this bug. ***

Comment 4 at-dot-at 2012-01-04 15:32:06 UTC
I'm getting this (apparently??) when trying to run preupgrade (14 -> 16) on a system with a 2.7 TB dmraid. No usb disks.

abrt thinks my bug is a duplicate of this but the failure is dm125 has no slaves.

I presume that bugzilla is discarding my abrt output when it matches this but no USB drives on system at present.
Below is some info, more if it might help. I will try to get the abrt-blah-blah.tgz if necessary. I have the preupgrade dmesg.

this is part of the FC14 fstab :

/dev/mapper/vg_ace-LogVol00 /                       ext4    defaults        1 1
UUID=e6a17e52-29b9-4dde-a56a-a42eed0331e2 /boot                   ext4    defaults        1 2
UUID=290a0cf2-b1cd-47d3-b58b-52222776447d /boot2                  ext4    defaults        1 2
/dev/mapper/vg_ace-LogVol01 /home                   ext4    defaults        1 2
/dev/mapper/vg_ace-LogVol02 /tmp                    ext4    defaults        1 2
/dev/mapper/vg_ace-LogVol03 /var                    ext4    defaults        1 2
/dev/mapper/vg_ace-LogVol04 /virt-images            ext4    defaults        1 2
/dev/mapper/vg_ace-LogVol05 swap                    swap    defaults        0 0
/dev/md1			/virt-images/shared-drive               ext4	defaults				1 	2
/dev/md2p1		    /nas                    ext4    defaults        1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
#UUID=E28E-1904          /vfat                   vfat    umask=0077,shortname=winnt 0 0
1

And a df -h :

Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vg_ace-LogVol00
                       68G   40G   25G  63% /
tmpfs                 3.0G  408K  3.0G   1% /dev/shm
/dev/sda1             485M  368M   92M  80% /boot
/dev/sdc1             485M  229M  231M  50% /boot2
/dev/mapper/vg_ace-LogVol01
                       97G   55G   37G  60% /home
/dev/mapper/vg_ace-LogVol02
                      9.7G  154M  9.0G   2% /tmp
/dev/mapper/vg_ace-LogVol03
                      9.7G  5.5G  3.7G  60% /var
/dev/mapper/vg_ace-LogVol04
                       97G   62G   30G  68% /virt-images
/dev/md1              459G   61G  375G  14% /virt-images/shared-drive
/dev/md2p1            2.7T  637G  2.0T  25% /nas

Comment 5 Dave Jones 2012-02-17 16:26:52 UTC
Joachim, is this still a problem in the 2.6.42 update ?
Could you attach the dmesg output from the kernel if so ?

thanks.

Comment 6 Joachim Metz 2012-02-17 20:25:08 UTC
For the FC15 machine I've switched to FC16 and different hardware by now; I'll give that a try.

Comment 7 Joachim Metz 2012-02-17 20:33:54 UTC
Alas the error still occurs:

Feb 17 21:27:33 hostname kernel: [38642.591285] usb 2-1.7: new high-speed USB device number 4 using ehci_hcd
Feb 17 21:27:33 hostname kernel: [38642.677437] usb 2-1.7: New USB device found, idVendor=152d, idProduct=2338
Feb 17 21:27:33 hostname kernel: [38642.677442] usb 2-1.7: New USB device strings: Mfr=1, Product=2, SerialNumber=5
Feb 17 21:27:33 hostname kernel: [38642.677445] usb 2-1.7: Product: USB to ATA/ATAPI bridge
Feb 17 21:27:33 hostname kernel: [38642.677448] usb 2-1.7: Manufacturer: JMicron
Feb 17 21:27:33 hostname kernel: [38642.677450] usb 2-1.7: SerialNumber: ############
Feb 17 21:27:33 hostname kernel: [38642.678984] scsi7 : usb-storage 2-1.7:1.0
Feb 17 21:27:33 hostname mtp-probe: checking bus 2, device 4: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.7"
Feb 17 21:27:33 hostname mtp-probe: bus: 2, device: 4 was not an MTP device
Feb 17 21:27:34 hostname kernel: [38643.718490] scsi 7:0:0:0: Direct-Access     WDC WD30 ####-#######          PQ: 0 ANSI: 5
Feb 17 21:27:34 hostname kernel: [38643.719951] sd 7:0:0:0: Attached scsi generic sg7 type 0
Feb 17 21:27:34 hostname kernel: [38643.720411] sd 7:0:0:0: [sdg] Very big device. Trying to use READ CAPACITY(16).
Feb 17 21:27:34 hostname kernel: [38643.720767] sd 7:0:0:0: [sdg] 5860533168 512-byte logical blocks: (3.00 TB/2.72 TiB)
Feb 17 21:27:34 hostname kernel: [38643.721527] sd 7:0:0:0: [sdg] Write Protect is off
Feb 17 21:27:34 hostname kernel: [38643.722272] sd 7:0:0:0: [sdg] No Caching mode page present
Feb 17 21:27:34 hostname kernel: [38643.722278] sd 7:0:0:0: [sdg] Assuming drive cache: write through
Feb 17 21:27:34 hostname kernel: [38643.723293] sd 7:0:0:0: [sdg] Very big device. Trying to use READ CAPACITY(16).
Feb 17 21:27:34 hostname kernel: [38643.725178] sd 7:0:0:0: [sdg] No Caching mode page present
Feb 17 21:27:34 hostname kernel: [38643.725183] sd 7:0:0:0: [sdg] Assuming drive cache: write through
Feb 17 21:27:34 hostname kernel: [38643.798835] usb 2-1.7: reset high-speed USB device number 4 using ehci_hcd
Feb 17 21:27:34 hostname kernel: [38643.963350] usb 2-1.7: reset high-speed USB device number 4 using ehci_hcd
Feb 17 21:27:34 hostname kernel: [38644.128889] usb 2-1.7: reset high-speed USB device number 4 using ehci_hcd
Feb 17 21:27:35 hostname kernel: [38644.294406] usb 2-1.7: reset high-speed USB device number 4 using ehci_hcd
Feb 17 21:27:35 hostname kernel: [38644.458935] usb 2-1.7: reset high-speed USB device number 4 using ehci_hcd
Feb 17 21:27:35 hostname kernel: [38644.624471] usb 2-1.7: reset high-speed USB device number 4 using ehci_hcd
Feb 17 21:27:35 hostname kernel: [38644.710124] sd 7:0:0:0: [sdg] Unhandled error code
Feb 17 21:27:35 hostname kernel: [38644.710128] sd 7:0:0:0: [sdg]  Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
Feb 17 21:27:35 hostname kernel: [38644.710132] sd 7:0:0:0: [sdg] CDB: Read(10): 28 00 00 00 00 00 00 00 08 00
Feb 17 21:27:35 hostname kernel: [38644.710142] end_request: I/O error, dev sdg, sector 0
Feb 17 21:27:35 hostname kernel: [38644.710146] Buffer I/O error on device sdg, logical block 0
Feb 17 21:27:35 hostname kernel: [38644.784001] usb 2-1.7: reset high-speed USB device number 4 using ehci_hcd
...

uname -a
Linux hostname.domain 3.2.5-3.fc16.x86_64 #1 SMP Thu Feb 9 01:24:38 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Comment 8 Joachim Metz 2012-02-17 20:39:16 UTC
No differences between front and rear USB

[39296.806547] Buffer I/O error on device sdg, logical block 0
[39296.880678] usb 1-1.5: reset high-speed USB device number 5 using ehci_hcd
[39297.045235] usb 1-1.5: reset high-speed USB device number 5 using ehci_hcd
[39297.209735] usb 1-1.5: reset high-speed USB device number 5 using ehci_hcd
[39297.374279] usb 1-1.5: reset high-speed USB device number 5 using ehci_hcd
[39297.538790] usb 1-1.5: reset high-speed USB device number 5 using ehci_hcd
[39297.704318] usb 1-1.5: reset high-speed USB device number 5 using ehci_hcd
[39297.789845] sd 8:0:0:0: [sdg] Unhandled error code
[39297.789849] sd 8:0:0:0: [sdg]  Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[39297.789863] sd 8:0:0:0: [sdg] CDB: Read(10): 28 00 00 00 00 00 00 00 08 00
[39297.789872] end_request: I/O error, dev sdg, sector 0

Comment 9 Brian Rademacher 2012-04-02 04:16:03 UTC
I have this same issue (as of 3.3.0-8.fc16.x86_64), and this thread appears to be a fix (padding less than 12 byte commands up to 12, as I understand it):

http://marc.info/?l=linux-usb&m=131946676027988&w=2

Comment 10 Josh Boyer 2012-06-06 17:12:05 UTC
(In reply to comment #9)
> I have this same issue (as of 3.3.0-8.fc16.x86_64), and this thread appears
> to be a fix (padding less than 12 byte commands up to 12, as I understand
> it):
> 
> http://marc.info/?l=linux-usb&m=131946676027988&w=2

That thread resulted in upstream commit 2f640bf4c94324aeaa1b6385c10aab8c5ad1e1cf which went into the 3.2 kernel release.  3.3.0-8 would already have that patch.
If you are really seeing the same problem, then it isn't solved by that commit.

Is anyone else seeing this with the 3.3 kernel still?

Comment 11 Joachim Metz 2012-06-09 17:40:19 UTC
Yes the issue is still there.

Linux hostname.domain 3.3.7-1.fc16.x86_64 #1 SMP Tue May 22 13:59:39 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


[ 7702.550519] Buffer I/O error on device sdg, logical block 3
[ 7702.624509] usb 1-1.5: reset high-speed USB device number 15 using ehci_hcd
[ 7702.789039] usb 1-1.5: reset high-speed USB device number 15 using ehci_hcd
[ 7702.953581] usb 1-1.5: reset high-speed USB device number 15 using ehci_hcd
[ 7703.119088] usb 1-1.5: reset high-speed USB device number 15 using ehci_hcd
[ 7703.284622] usb 1-1.5: reset high-speed USB device number 15 using ehci_hcd
[ 7703.450152] usb 1-1.5: reset high-speed USB device number 15 using ehci_hcd
[ 7703.535672] sd 7:0:0:0: [sdg] Unhandled error code
[ 7703.535676] sd 7:0:0:0: [sdg]  Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[ 7703.535680] sd 7:0:0:0: [sdg] CDB: Read(10): 28 00 00 00 00 18 00 00 08 00
[ 7703.535690] end_request: I/O error, dev sdg, sector 24

Comment 12 Stephan 2012-10-05 08:46:07 UTC
Hi,

I'm also experiencing this problem. This may be related to this one:

https://bugzilla.redhat.com/show_bug.cgi?id=728612

which looks like a kernel patch that solves the problem.

Can this patch be merged to the Linux kernel?
--
Stephan

Comment 13 Stephan 2012-10-05 09:49:07 UTC
Sorry, wrong link. This is the correct one:

http://ubuntuforums.org/showthread.php?t=1866432

Comment 14 Josh Boyer 2012-10-05 12:30:12 UTC
(In reply to comment #13)
> Sorry, wrong link. This is the correct one:
> 
> http://ubuntuforums.org/showthread.php?t=1866432

See comment #10.

Comment 15 Stephan 2012-10-07 09:10:49 UTC
I'm seeing this problem on
3.2.0
as well as on
3.4.9

If you take a look at 
http://kernel.opensuse.org/cgit/kernel/commit/?id=2f640bf4c94324aeaa1b6385c10aab8c5ad1e1cf 
you see that it removes just one cmd_len = 12 assignment. 
I'm seeing in the vanilla kernel source of 3.4.12 still one left over cmd_len = 12 assignment. I'm not sure whether this is the problem or not.

Comment 16 Stephan 2012-10-12 18:57:01 UTC
Ok maybe I'm seeing a common denominator here.

On this SATA <-> USB drive chassis

Bus 004 Device 009: ID 152d:2338 JMicron Technology Corp. / JMicron USA Technology Corp. JM20337 Hi-Speed USB to SATA & PATA Combo Bridge

it fails with

[  634.526988] sd 9:0:0:0: [sda]  Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK

On this one:

Bus 004 Device 010: ID 152d:2351 JMicron Technology Corp. / JMicron USA Technology Corp. 

it works!! So I'd blame the USB<->SATA external drive chassis rather than the Linux kernel.

@Joachim: Can you verify that you have the same USB device by pasting a "lsusb" here?

Comment 17 Dave Jones 2012-10-23 15:36:58 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 18 Joachim Metz 2012-10-23 19:02:46 UTC
Still running FC16, no success with 3.6.2-1.fc16 either.

uname -a
Linux hostname 3.6.2-1.fc16.x86_64 #1 SMP Wed Oct 17 05:30:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[  622.098186] scsi8 : usb-storage 1-1.6:1.0
[  623.139598] scsi 8:0:0:0: Direct-Access     WDC WD30 ####-#######          PQ: 0 ANSI: 5
[  623.140951] sd 8:0:0:0: Attached scsi generic sg2 type 0
[  623.141438] sd 8:0:0:0: [sdb] Very big device. Trying to use READ CAPACITY(16).
[  623.141896] sd 8:0:0:0: [sdb] 5860533168 512-byte logical blocks: (3.00 TB/2.72 TiB)
[  623.142649] sd 8:0:0:0: [sdb] Write Protect is off
[  623.142654] sd 8:0:0:0: [sdb] Mode Sense: 28 00 00 00
[  623.143387] sd 8:0:0:0: [sdb] No Caching mode page present
[  623.143392] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[  623.144268] sd 8:0:0:0: [sdb] Very big device. Trying to use READ CAPACITY(16).
[  623.146165] sd 8:0:0:0: [sdb] No Caching mode page present
[  623.146170] sd 8:0:0:0: [sdb] Assuming drive cache: write through

...

[  631.989836] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[  631.989838] sd 8:0:0:0: [sdb] CDB: 
[  631.989839] Read(10): 28 00 00 00 00 00 00 00 08 00
[  631.989849] end_request: I/O error, dev sdb, sector 0
[  631.989852] Buffer I/O error on device sdb, logical block 0
[  631.989894]  sdb: unable to read partition table
[  631.990933] sd 8:0:0:0: [sdb] Very big device. Trying to use READ CAPACITY(16).
[  631.992916] sd 8:0:0:0: [sdb] No Caching mode page present
[  631.992921] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[  631.992924] sd 8:0:0:0: [sdb] Attached SCSI disk
[  632.534357] usb 1-1.6: reset high-speed USB device number 7 using ehci_hcd
[  632.698888] usb 1-1.6: reset high-speed USB device number 7 using ehci_hcd
[  632.864409] usb 1-1.6: reset high-speed USB device number 7 using ehci_hcd
[  633.029934] usb 1-1.6: reset high-speed USB device number 7 using ehci_hcd
[  633.195466] usb 1-1.6: reset high-speed USB device number 7 using ehci_hcd
[  633.360989] usb 1-1.6: reset high-speed USB device number 7 using ehci_hcd
[  633.446656] sd 8:0:0:0: [sdb] Unhandled error code
[  633.446660] sd 8:0:0:0: [sdb]

Comment 19 Fedora End Of Life 2013-01-16 14:30:13 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 20 Joachim Metz 2013-01-17 08:35:58 UTC
Since it is unclear from previous comments if this bug should be cloned or not and since clone askes me for the classification again :( I'll just bump the fedora version on this bug.

On FC18: Linux hostname.domain 3.7.2-201.fc18.x86_64 #1 SMP Fri Jan 11 22:16:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Same issue:
[ 3041.024445] sd 7:0:0:0: [sdg] CDB: 
[ 3041.024446] Read(10): 28 00 00 00 00 00 00 00 08 00
[ 3041.024451] end_request: I/O error, dev sdg, sector 0
[ 3041.024453] Buffer I/O error on device sdg, logical block 0
[ 3041.024488]  sdg: unable to read partition table
[ 3041.025430] sd 7:0:0:0: [sdg] Very big device. Trying to use READ CAPACITY(16).
[ 3041.027329] sd 7:0:0:0: [sdg] No Caching mode page present
[ 3041.027334] sd 7:0:0:0: [sdg] Assuming drive cache: write through
[ 3041.027336] sd 7:0:0:0: [sdg] Attached SCSI disk
[ 3041.535628] usb 1-1.6: reset high-speed USB device number 6 using ehci_hcd
[ 3041.700156] usb 1-1.6: reset high-speed USB device number 6 using ehci_hcd
[ 3041.864681] usb 1-1.6: reset high-speed USB device number 6 using ehci_hcd
[ 3042.029218] usb 1-1.6: reset high-speed USB device number 6 using ehci_hcd
[ 3042.193734] usb 1-1.6: reset high-speed USB device number 6 using ehci_hcd
[ 3042.358238] usb 1-1.6: reset high-speed USB device number 6 using ehci_hcd
[ 3042.443527] sd 7:0:0:0: [sdg] Unhandled error code
[ 3042.443531] sd 7:0:0:0: [sdg]  
[ 3042.443532] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK

Comment 21 Justin M. Forbes 2013-10-18 21:16:31 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.

Comment 22 Justin M. Forbes 2013-11-27 16:07:20 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Comment 23 cheater00 2014-04-10 07:13:43 UTC
Hi,
it might help you to isolate this bug as I have been experiencing this issue in Ubuntu:

$ uname -a
Linux SX20S 3.11.2-031102-generic #201309262136 SMP Fri Sep 27 01:45:44 UTC 2013 i686 i686 i686 GNU/Linux
$ cat /etc/issue
Ubuntu 13.04 \n \l

Given Ubuntu's heritage who knows what patches are applied but it sure looks like an issue in upstream to me.

This issue is with a disk on an external hard disk drive connected via an USB3 chassis, the Icy Box IB-351 series. The disk is a WD Green Power and has not been giving me any issues on USB2 enclosures (also from Icy Box but obviously different chip so that doesn't matter).

In fact I have two IB-351 and if I connect both I can reproduce an issue with a disk on the second one dropping off. I haven't saved out the DMESG though, so I don't know if that was the same thing. Today however I have experienced another scenario. Left the computer on overnight and in the morning I have found the WLAN to be disconnected. No issue, sometimes this TL-WN722n just likes to freeze up, so I resetted it, but that didn't help this time. Two of those (one for receiving, one as AP) are plugged into an age-old USB2 hub over a fairly long extender cable into an USB3 hub which is next to my PC. I unplugged that hub and plugged in again and this seemed to have done the trick.

Checking the USB hard drive, I have found it to be completely frozen up. File operations just stall. Nautilus, as well as the Gnome2 (actually Mate) "places" shows those as still there. I've disconnected the hard disk drive half an hour ago and they're still there. So something weird is going on. My dmesg is currently spammed with:


[331992.862724] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[331992.862727] sd 7:0:0:0: [sdb] CDB: 
[331992.862729] Read(10): 28 00 ab d8 f0 ec 00 00 08 00
[331992.902797] sd 7:0:0:0: [sdb] Unhandled error code
[331992.902813] sd 7:0:0:0: [sdb]  
[331992.902816] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[331992.902819] sd 7:0:0:0: [sdb] CDB: 
[331992.902821] Read(10): 28 00 ab d8 f0 ec 00 00 08 00
[331992.942896] sd 7:0:0:0: [sdb] Unhandled error code
[331992.942903] sd 7:0:0:0: [sdb]  
[331992.942905] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[331992.942908] sd 7:0:0:0: [sdb] CDB: 
[331992.942910] Read(10): 28 00 ab d8 f0 ec 00 00 08 00
[331992.982851] sd 7:0:0:0: [sdb] Unhandled error code
[331992.982858] sd 7:0:0:0: [sdb]  
[331992.982861] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[331992.982864] sd 7:0:0:0: [sdb] CDB: 
[331992.982866] Read(10): 28 00 ab d8 f0 ec 00 00 08 00
[331993.022930] sd 7:0:0:0: [sdb] Unhandled error code
[331993.022937] sd 7:0:0:0: [sdb]  
[331993.022940] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[331993.022943] sd 7:0:0:0: [sdb] CDB: 
[331993.022945] Read(10): 28 00 ab d8 f0 ec 00 00 08 00
[331993.067039] sd 7:0:0:0: [sdb] Unhandled error code
[331993.067047] sd 7:0:0:0: [sdb]  
[331993.067050] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
[331993.067053] sd 7:0:0:0: [sdb] CDB: 
[331993.067055] Read(10): 28 00 ab d8 f0 ec 00 00 08 00

Those appear fairly rapidly as you can see:
$ dmesg | grep 332100 | wc -l
141

Since the kernel is just a smidge older than what your auto-post asked for (3.11.2 rather than 3.11.4) and it's a different distribution I'm not sure if this provides the info you needed, but I thought I would describe what I've seen here anyways.

If you think what I'm experienced is related to what you've been experiencing, I could try to reproduce something like that on Fedora.


For more info:

$ lsusb
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 003 Device 056: ID 0451:8042 Texas Instruments, Inc. 
Bus 004 Device 007: ID 0451:8040 Texas Instruments, Inc. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 003: ID 138a:0018 Validity Sensors, Inc. 
Bus 001 Device 005: ID 064e:d281 Suyin Corp. 
Bus 002 Device 070: ID 05e3:0612 Genesys Logic, Inc. 
Bus 003 Device 057: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
Bus 004 Device 008: ID 174c:5136 ASMedia Technology Inc. 
Bus 003 Device 058: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
Bus 003 Device 059: ID 0cf3:9271 Atheros Communications, Inc. AR9271 802.11n
Bus 003 Device 060: ID 0cf3:9271 Atheros Communications, Inc. AR9271 802.11n
Bus 002 Device 071: ID 046d:c050 Logitech, Inc. RX 250 Optical Mouse
Bus 002 Device 072: ID 046d:c31d Logitech, Inc. 

$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Whistler [Radeon HD 6730M/6770M/7690M XT]
07:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168 PCI Express Gigabit Ethernet controller (rev 06)
0d:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)
13:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5209 PCI Express Card Reader (rev 01)
13:00.1 SD Host controller: Realtek Semiconductor Co., Ltd. RTS5209 PCI Express Card Reader (rev 01)
19:00.0 USB controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)


I believe the NEC hub is the USB3 ports on my laptop,

... here I tried disconnecting hubs to see which one is which, and my PC hung up. Luckily enough, Firefox saved this form. Yay for Firefox.

I've experienced this hanging-up previously, before I got the new HDD enclosure.

If you have any further questions or would like me to run some tests, let me know.


Note You need to log in before you can comment on or make changes to this bug.